<?php
	$uri = 'operadores_del_monitor.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	$case = $_POST['case'];

	switch($case)
	{
		case 1:	
			$parametros = array(
				"nombre_usuario"=>$_POST['nombre_usuario'],
				"password"=>$_POST['password']				
			);	
		break;
		case 3:
			// Nuevo	
			$parametros = array(
				"nombre_apellido"=>$_POST['nombre_apellido'],
				"nombre_usuario"=>$_POST['nombre_usuario'],
				"password"=>$_POST['password'],
				"rol"=>$_POST['rol'],
				"estado"=>$_POST['estado'],
				"sucursales"=>$_POST['sucursales']				
			);	
		break;
		case 4:
			// Editar	
			$parametros = array(
				"operador_monitor_id"=>$_POST['operador_monitor_id'],
				"nombre_apellido"=>$_POST['nombre_apellido'],
				"nombre_usuario"=>$_POST['nombre_usuario'],
				"password"=>$_POST['password'],
				"rol"=>$_POST['rol'],
				"estado"=>$_POST['estado'],
				"sucursales"=>$_POST['sucursales']				
			);	
		break;
		case 5:	
			$parametros = array(
				"id"=>$_POST['id']		
			);	
		break;
		case 6:	
			$parametros = array(
				"operador_monitor_id"=>$_POST['operador_monitor_id'],
				"password"=>$_POST['password']		
			);	
		break;
		case 7:	
			$parametros = array(
				"operador_monitor_id"=>$_POST['operador_monitor_id'],
				"modulo_id"=>$_POST['modulo_id'],
				"permiso"=>$_POST['permiso'],
				"permiso_valor"=>$_POST['permiso_valor']		
			);	
		break;
		case 8:	
			$parametros = array(
				"NombreUsuario"=>$_POST['NombreUsuario']		
			);	
		break;
		case 9:	
			$parametros = array(
				"OperadorMonitorID"=>$_POST['OperadorMonitorID'],
				"NombreUsuario"=>$_POST['NombreUsuario'],
				"NombreApellido"=>$_POST['NombreApellido'],
				"Password"=>$_POST['Password']	
			);	
		break;						
				
	}
	
	$operador_monitor = new operador_monitor();	
	switch($case){
		case 1: 				
			echo $operador_monitor->logeo($parametros);				
			break;
		case 2: 				
			echo $operador_monitor->logout();				
			break;
		case 3: 				
			echo $operador_monitor->nuevo($parametros);				
			break;	
		case 4: 			
			echo $operador_monitor->editar($parametros);				
			break;
		case 5: 				
			echo $operador_monitor->eliminar($parametros);				
			break;
		case 6: 				
			echo $operador_monitor->verificarPasswordActual($parametros);				
			break;
		case 7: 				
			echo $operador_monitor->updatePermiso($parametros);				
			break;
		case 8: 				
			echo $operador_monitor->verificarNombreUsuario($parametros);				
			break;
		case 9: 				
			echo $operador_monitor->editarPerfil($parametros);				
			break;
	}//Cierro el IF
?>